#! /bin/sh
# KnoppixReloaded, written by Thomas Waldmann
# based on mkmyknoppix.sh by Thomas Lange
#
# This is free software; see the GNU General Public License version 2
# or later for copying conditions.  There is NO warranty.

# this is the main config
export config=`pwd`/config
. $config
export PATH=$MYPATH:$PATH

trap "umount_dirs" EXIT

umount_dirs() {
#    umount $knxmnt || true
    [ -f $newtree/proc/cpuinfo ] && umount $newtree/proc
    exit 0
}

echo "Return skips a task. To execute the task type 'y' and return."

# all the work is done by the scripts in $mods which we call sequentially:
cd $mods
for scr in *.sh; do
    cd $mods
    ./$scr
done

exit 0
